<?php

/**
 * Class that operate on table 'clientpaymentreceiptt'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-07-13 14:36
 */
class ClientpaymentreceipttMySqlExtDAO extends ClientpaymentreceipttMySqlDAO {

    public function queryAllEX($queryString) {
        $sql = 'SELECT clientpaymentreceiptt.*,client.clientname as clientid  FROM clientpaymentreceiptt join client on client.clientid = clientpaymentreceiptt.clientid ' . $queryString;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function queryByDailyentryid($dailyentryid) {
        $sql = 'SELECT clientpaymentreceiptt.*,client.clientname as clientid  FROM clientpaymentreceiptt join client on client.clientid = clientpaymentreceiptt.clientid '
                . ' Where clientpaymentreceiptt.dailyentryid = ' . $dailyentryid;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }
}

?>